default_settings: null
behaviors:
  ShooterAgent:
    trainer_type: ppo
    hyperparameters:
      batch_size: 2048
      buffer_size: 20480
      learning_rate: 0.0003
      beta: 0.1
      epsilon: 0.2
      lambd: 0.95
      num_epoch: 3
      learning_rate_schedule: linear
    network_settings:
      normalize: false
      hidden_units: 512
      num_layers: 3
      vis_encode_type: simple
      memory: null
    reward_signals:
      extrinsic:
        gamma: 0.99
        strength: 1.0
      curiosity:
        gamma: 0.99
        strength: 0.01
        encoding_size: 128
        learning_rate: 0.0003
    init_path: null
    keep_checkpoints: 5
    checkpoint_interval: 500000
    max_steps: 500000
    time_horizon: 128
    summary_freq: 50000
    threaded: true
    self_play: null
    behavioral_cloning: null
    framework: pytorch
env_settings:
  env_path: null
  env_args: null
  base_port: 5005
  num_envs: 1
  seed: -1
engine_settings:
  width: 84
  height: 84
  quality_level: 5
  time_scale: 20
  target_frame_rate: -1
  capture_frame_rate: 60
  no_graphics: false
environment_parameters:
  arenaParam_amountEnemies:
    curriculum:
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4806
          value: 2
      name: Lesson0
      completion_criteria:
        behavior: ShooterAgent
        measure: reward
        min_lesson_length: 1000
        signal_smoothing: true
        threshold: 0.5
        require_reset: true
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4807
          value: 3
      name: Lesson1
      completion_criteria:
        behavior: ShooterAgent
        measure: reward
        min_lesson_length: 1000
        signal_smoothing: true
        threshold: 0.5
        require_reset: true
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4808
          value: 4
      name: Lesson2
      completion_criteria:
        behavior: ShooterAgent
        measure: reward
        min_lesson_length: 1000
        signal_smoothing: true
        threshold: 0.5
        require_reset: true
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4809
          value: 5
      name: Lesson3
      completion_criteria: null
  arenaParam_enemiesSpeed:
    curriculum:
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4810
          value: 1.2
      name: Lesson0
      completion_criteria:
        behavior: ShooterAgent
        measure: reward
        min_lesson_length: 1000
        signal_smoothing: true
        threshold: 0.5
        require_reset: true
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4811
          value: 1.4
      name: Lesson1
      completion_criteria:
        behavior: ShooterAgent
        measure: reward
        min_lesson_length: 1000
        signal_smoothing: true
        threshold: 0.5
        require_reset: true
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4812
          value: 1.6
      name: Lesson2
      completion_criteria:
        behavior: ShooterAgent
        measure: reward
        min_lesson_length: 1000
        signal_smoothing: true
        threshold: 0.5
        require_reset: true
    - value:
        sampler_type: constant
        sampler_parameters:
          seed: 4813
          value: 1.8
      name: Lesson3
      completion_criteria: null
checkpoint_settings:
  run_id: ShooterExam-curriculum
  initialize_from: null
  load_model: false
  resume: false
  force: true
  train_model: false
  inference: false
debug: false
